Transaction Reporting
Endpoint for getting filtered transaction reports.
info
Please be aware that this endpoint requires a Transaction Reporting API Key.
GET
/api/v1/groups/{group_id}/revere_pay/{linked_account_id}/transactions/reporting
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| type | Report type: table, count, or amount_sum. | string | Required |
| limit | Number of results to return. | uint64 | |
| offset | Number of results to skip before collecting the result set. | uint64 | |
| start | Start date filter. Defaults to 6 months ago. | string (RFC3339) | |
| end | End date filter. Defaults to now. | string (RFC3339) | |
| brands | Card brand filter. Values: Visa, Mastercard, Discover, American Express. | string[] | |
| payment_types | Payment type filter. Values: wallet, sale, refund, fulfillment, spendback, payout, fund. | string[] | |
| payment_methods | Payment method filter. Values: wallet, card, customer_card, customer_ach, ach, same_day_ach, ach_debit_fund, standard_ach, rtp_ach. | string[] | |
| settlement_batches | Settlement batch IDs filter. | string[] (UUID) | |
| payment_processors | Payment processor IDs filter. | string[] (UUID) | |
| transaction_sources | Transaction source filter. Values: recurring, virtual_terminal, forms, wallet, api, invoice. | string[] | |
| currencies | Currency filter. Values: USD. | string[] | |
| transaction_id | Transaction IDs filter. | string[] (UUID) | |
| form_ids | Form IDs filter. | string[] (UUID) | |
| form_custom_ids | Form custom IDs filter. | string[] | |
| statuses | Transaction status filter. Values: settled, voided, declined, partially_refunded, refunded, pending. | string[] | |
| order_id | Order ID filter. | string | |
| plan_ids | Plan IDs filter. | string[] (UUID) | |
| subscription_ids | Subscription IDs filter. | string[] (UUID) | |
| customer_ids | Customer IDs filter. | string[] (UUID) | |
| source_group_id | Source group ID filter. | string (UUID) | |
| destination_group_id | Destination group ID filter. | string (UUID) | |
| source_or_destination_group_id | Source or destination group ID filter. | string (UUID) | |
| invoice_numbers | Invoice number filter. | string[] | |
| invoice_ids | Invoice IDs filter. | string[] (UUID) | |
| invoice_external_ids | Invoice external IDs filter. | string[] |
Response
| Code | Description |
|---|---|
| 200 | Success |
| 400 | Bad Request / Validation error |
| 500 | Internal Error |
Example Usage
- JavaScript
- Python
- Go
reporting.js
var headers = new Headers();
headers.append('Authorization', 'API_KEY');
var requestOptions = {
method: 'GET',
headers: headers,
redirect: 'follow'
};
const group_id = '';
const linked_account_id = '';
const url = `https://api.reverepayments.dev/api/v1/groups/${group_id}/revere_pay/${linked_account_id}/transactions/reporting?type=table`;
fetch(url, requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));
reporting.py
import requests
group_id = ""
linked_account_id = ""
url = "https://api.reverepayments.dev/api/v1/groups/" + group_id + "/revere_pay/" + linked_account_id + "/transactions/reporting?type=table"
headers = {
'Authorization': 'API_KEY'
}
response = requests.request("GET", url, headers=headers)
print(response.text)
reporting.go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
const group_id = ""
const linked_account_id = ""
url := "https://api.reverepayments.dev/api/v1/groups/" + group_id + "/revere_pay/" + linked_account_id + "/transactions/reporting?type=table"
client := &http.Client{}
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "API_KEY")
res, _ := client.Do(req)
defer res.Body.Close()
bytes, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err.Error())
return
}
fmt.Println(string(bytes))
}
Example Success Response
type=table
{
"items": [
{
"id": "c05861f0-6384-414d-b837-0ed71cefbbe5",
"group_id": "<group_id>",
"settlement_batch_ids": ["959c6c25-10f9-4341-ab93-1583898e33c9"],
"gateway": "revere_pay",
"processor_id": "ebc3e4dd-58fa-4c24-9afe-b076f60bc768",
"processor_name": "BASIC",
"processor_type": "revere_pay",
"transaction_type": "sale",
"payment_method": "card",
"payment_details": {
"card": {
"brand": "Visa",
"card_type": "debit",
"first_six": "411111",
"last_four": "1111",
"customer_name": "Joe Doe",
"expiration_date": "26/10",
"avs": "not available",
"cvv": "no match",
"issued_country": "US"
}
},
"amounts": {
"requested_amount": 3000,
"authorized_amount": 3000,
"captured_amount": 3000,
"included_tax_amount": 300,
"included_shipping_amount": 1000
},
"currency": "USD",
"description": "Lorem ipsum dolor sit amet.",
"source": "api",
"order_id": "",
"po_number": "",
"email_receipt": false,
"email_address": "test@example.com",
"billing_address": {
"first_name": "John",
"last_name": "Doe",
"company": "James' Company",
"city": "Scranton",
"line_1": "Slough Avenue",
"line_2": "1725",
"subdivision": "PA",
"postal_code": "18505",
"country": "US",
"email": "test@example.com"
},
"response_code": "SUCCESS",
"response_text": "confirmed",
"status": "settled",
"created_at": "2025-06-30T12:27:46.36004025Z"
}
],
"total_count": 1
}
type=count
{
"total_count": 142
}
type=amount_sum
{
"total_amount": 7500000
}